# Interface Character

All Known Implementing Classes:
  `ContinuousCharacter, DiscreteCharacter`

public interface Character

Author:
  Stephen A. Smith

## Method Summary

Modifier and Type
Method
Description
`void`
`addTaxon(Taxon taxon)`
add a taxon with this character
`String`
`getDesc()`
return the description of the character
`String`
`getName()`
return the name of the character
`Set<Taxon>`
`getTaxa()`
get a Set<Taxon> of all the taxa for this character
`CharacterType`
`getType()`
return the CharacterType of the character
`Object`
`getValue(Taxon taxon)`
get a value for a taxon containing the character
`void`
`setDesc(String desc)`
set the description of the character
`void`
`setName(String name)`
set the name of the character

## Method Details

### setName

void setName(String name)
set the name of the character

Parameters:
  `name` - the name of the character

### getName

String getName()
return the name of the character

Returns:
  the name of the character

### setDesc

void setDesc(String desc)
set the description of the character

Parameters:
  `desc` - the description of the character

### getDesc

String getDesc()
return the description of the character

Returns:
  the description of the character

### getType

CharacterType getType()
return the CharacterType of the character

Returns:
  the CharacterType of the character

### addTaxon

void addTaxon(Taxon taxon)
add a taxon with this character

Parameters:
  `taxon` - the taxon to add containing the character

### getValue

Object getValue(Taxon taxon)
get a value for a taxon containing the character

Parameters:
  `taxon` - the taxon to get the value for
Returns:
  the Object value of the character for the given taxon

### getTaxa

Set<Taxon> getTaxa()
get a Set<Taxon> of all the taxa for this character

Returns:
  a Set<Taxon> containing all of the taxa for this character